from django.urls import path

from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),
    path('register/', views.register, name='register'),
    path('project/create/', views.create_project, name='create_project'),
    path('project/<int:project_id>/',
         views.project_details, name='project_detail'),
    path('project/<int:project_id>/apply/', views.apply, name='apply'),
    path('project/<int:project_id>/applications/',
         views.project_applications, name='project_applications'),
    path('project/<int:project_id>/edit/',
         views.edit_project, name='edit_project'),
    path('projects/filter/', views.index, name='filter_projects'),
    path('applications/', views.my_applications, name='my_applications'),
    path('applications/update_priorities/',
         views.update_priorities, name='update_priorities'),
]
